Package org.apache.ignite.spi.systemview.view

## Class ContinuousQueryView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.ContinuousQueryView

-     public class ContinuousQueryView
      extends Object

  Continuous query representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContinuousQueryView​(UUID routineId, org.apache.ignite.internal.processors.continuous.GridContinuousProcessor.RoutineInfo qry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `autoUnsubscribe()` |
    `int` | `bufferSize()` |
    `String` | `cacheName()` |
    `boolean` | `delayedRegister()` |
    `long` | `interval()` |
    `boolean` | `isEvents()` |
    `boolean` | `isMessaging()` |
    `boolean` | `isQuery()` |
    `boolean` | `keepBinary()` |
    `long` | `lastSendTime()` |
    `String` | `localListener()` |
    `String` | `localTransformedListener()` |
    `UUID` | `nodeId()` |
    `boolean` | `notifyExisting()` |
    `boolean` | `oldValueRequired()` |
    `String` | `remoteFilter()` |
    `String` | `remoteTransformer()` |
    `UUID` | `routineId()` |
    `String` | `topic()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContinuousQueryView

          public ContinuousQueryView​(UUID routineId,
                                     org.apache.ignite.internal.processors.continuous.GridContinuousProcessor.RoutineInfo qry)

      Parameters:
        `routineId` - Routine id.
        `qry` - Query info.

  - ### Method Detail

    - #### routineId

          public UUID routineId()

      Returns:
        Continuous query id.

    - #### nodeId

          public UUID nodeId()

      Returns:
        Node id.

    - #### cacheName

          public String cacheName()

      Returns:
        Cache name.

    - #### topic

          public String topic()

      Returns:
        Topic for continuous query messages.

    - #### bufferSize

          public int bufferSize()

      Returns:
        Buffer size.

    - #### interval

          public long interval()

      Returns:
        Notify interval.

    - #### autoUnsubscribe

          public boolean autoUnsubscribe()

      Returns:
        Auto unsubscribe flag value.

    - #### isEvents

          public boolean isEvents()

      Returns:
        `True` if continuous query registered to receive events.

    - #### isMessaging

          public boolean isMessaging()

      Returns:
        `True` if continuous query registered for messaging.

    - #### isQuery

          public boolean isQuery()

      Returns:
        `True` if regular continuous query.

    - #### keepBinary

          public boolean keepBinary()

      Returns:
        `True` if `keepBinary` mode enabled.
      See Also:
        `IgniteCache.withKeepBinary()`

    - #### notifyExisting

          public boolean notifyExisting()

      Returns:
        `True` if continuous query should receive notification for existing entries.

    - #### oldValueRequired

          public boolean oldValueRequired()

      Returns:
        `True` if old value required for listener.

    - #### lastSendTime

          public long lastSendTime()

      Returns:
        Last send time.

    - #### delayedRegister

          public boolean delayedRegister()

      Returns:
        Delayed register flag.

    - #### localListener

          public String localListener()

      Returns:
        Class name of the local transformed listener.
      See Also:
        `ContinuousQuery.setLocalListener(CacheEntryUpdatedListener)`

    - #### remoteFilter

          public String remoteFilter()

      Returns:
        String representation of remote filter.
      See Also:
        `ContinuousQuery.setRemoteFilter(CacheEntryEventSerializableFilter)`, `AbstractContinuousQuery.setRemoteFilterFactory(Factory)`

    - #### remoteTransformer

          public String remoteTransformer()

      Returns:
        String representation of remote transformer.
      See Also:
        `ContinuousQueryWithTransformer`, `ContinuousQueryWithTransformer.setRemoteTransformerFactory(Factory)`

    - #### localTransformedListener

          public String localTransformedListener()

      Returns:
        String representation of local transformed listener.
      See Also:
        `ContinuousQueryWithTransformer`, `ContinuousQueryWithTransformer.setLocalListener(ContinuousQueryWithTransformer.EventListener)`